import { IEVAServiceResponse } from "../service";
/**
 * Provides access to a Rituals specific functions in EVA
 */
export declare namespace Rituals {
    function createCustomerReturn(orderID: number, email: string, lines: Array<EVA.Rituals.RitualsCreateCustomerReturnLineModel>): Promise<IEVAServiceResponse<EVA.Rituals.RitualsCreateCustomerReturn, EVA.Rituals.RitualsCreateCustomerReturnResponse>>;
    function getOrderForReturn(orderID: string, email: string): Promise<IEVAServiceResponse<EVA.Rituals.RitualsGetOrderForReturn, EVA.Rituals.RitualsGetOrderForReturnResponse>>;
    function getBlobsForReturn(orderID: number, email: string): Promise<IEVAServiceResponse<EVA.Rituals.RitualsGetBlobsForReturn, EVA.Rituals.RitualsGetBlobsForReturnResponse>>;
    function scanLoyaltyCard(loyaltyId: string): Promise<IEVAServiceResponse<EVA.Rituals.RitualsScanLoyaltyCard, EVA.Rituals.RitualsScanLoyaltyCardResponse>>;
}
