import { EXMLHttpRequestMethod } from "./xhr";
export interface IServiceCache {
    ts: number;
    serviceName: string;
    path: string;
    method: EXMLHttpRequestMethod;
    callData: string;
    promise: Promise<any>;
}
export declare namespace serviceCache {
    function flush(serviceName?: string): void;
    function get(serviceName: string, requestData: any, method: EXMLHttpRequestMethod, path: string): Promise<any> | undefined;
    function add(serviceName: string, requestData: any, method: EXMLHttpRequestMethod, path: string, promise: Promise<any>): void;
}
