/* tslint:disable */
declare module EVA.Copernica {
  
  export enum CopernicaDatabaseFieldTypes {
    Text = 0,
    Integer = 1,
    Float = 2,
    Date = 3,
    DateTime = 4,
    Email = 5,
    Phone = 6,
    Select = 7,
  }
  
  export class CopernicaProfileCallback extends EVA.Core.RequestMessageWithEmptyResponse {
    Profile : EVA.Copernica.CopernicaProfile; 
    Action : string; 
    Parameters : { [ key : string ] : any }; 
    __response : EVA.Core.EmptyResponseMessage;
  }
  
  export class CopernicaProfile {
    ID : number; // Int32, nullable
    Fields : EVA.Copernica.CopernicaUser; 
    Interests : any[]; 
    DatabaseID : number; // Int32
    Secret : string; 
    Created : string; 
  }
  
  export class CopernicaUser {
    EVA_ID : number; // Int32
    FirstName : string; 
    LastName : string; 
    Gender : string; 
    Email : string; 
    DateOfBirth : string; // DateTime, nullable
    PhoneNumber : string; 
    CompanyName : string; 
    Initials : string; 
    ReceiveNewsLetters : string; 
    ShouldReceiveNewsLetters : boolean; 
  }
  
}