/* tslint:disable */
declare module EVA.Devices.StatusChecker {
  
  export class ImAlive extends EVA.Core.RequestMessageWithEmptyResponse {
    MacAddress : string; 
    __response : EVA.Core.EmptyResponseMessage;
  }
  
  export class ListOrganizationUnitsWithDeviceStatus extends EVA.Core.RequestMessageGeneric<EVA.Devices.StatusChecker.ListOrganizationUnitsWithDeviceStatusResponse> {
    __response : EVA.Devices.StatusChecker.ListOrganizationUnitsWithDeviceStatusResponse;
  }
  
  export class ListOrganizationUnitsWithDeviceStatusResponse extends EVA.Core.ResponseMessage {
    OrganizationUnits : EVA.Devices.StatusChecker.OrganizationUnitDeviceStatus[]; 
  }
  
  export class OrganizationUnitDeviceStatus {
    ApplicationID : number; // Int32
    ID : number; // Int32
    Type : EVA.Core.OrganizationUnitTypes; 
    Name : string; 
    Latitude : number; // Double, nullable
    Longitude : number; // Double, nullable
    Status : number; // Int32
    Devices : EVA.Devices.StatusChecker.DeviceStatusSummary[]; 
  }
  
  export class DeviceStatusSummary {
    ID : number; // Int32
    Name : string; 
    Type : string; 
    Status : number; // Int32
    ModificationTime : string; // DateTime, nullable
  }
  
  export class ListOrganizationUnitWithDeviceDetails extends EVA.Core.RequestMessageGeneric<EVA.Devices.StatusChecker.ListOrganizationUnitWithDeviceDetailsResponse> {
    ID : number; // Int32
    __response : EVA.Devices.StatusChecker.ListOrganizationUnitWithDeviceDetailsResponse;
  }
  
  export class ListOrganizationUnitWithDeviceDetailsResponse extends EVA.Core.ResponseMessage {
    OrganizationUnit : EVA.Devices.StatusChecker.OrganizationUnitDeviceStatus; 
  }
  
}