/**
 * The CMS Url Rewrite module provides access to CMS Url Rewrites from the EVA back-end
 *
 * @preferred
 */
import { IEVAServiceResponse } from "../service";
export declare namespace CmsRewrite {
    /**
     * Check if a certain request path needs rewriting
     * @return {Promise}    A promise resolving when the call to the back-end has completed
     */
    function rewrite(requestPath: string): Promise<IEVAServiceResponse<EVA.CMS.RewriteUrl, EVA.CMS.RewriteUrlResponse>>;
}
