/**
 * The DMS Url Rewrite module provides access to DMS Url Rewrites from the EVA back-end
 *
 * @preferred
 */
import { IEVAServiceResponse } from "../../service";
export declare namespace DmsRewrite {
    /**
     * Check if a certain request path needs rewriting
     * @return {Promise}    A promise resolving when the call to the back-end has completed
     */
    function rewrite(requestPath: string): Promise<IEVAServiceResponse<EVA.DMS.DmsRewriteUrl, EVA.DMS.DmsRewriteUrlResponse>>;
}
