import { EVAService, IEVAServiceResponse   } from "../service";

export namespace ExternalContent
{
    "use strict";

    export function extractUrlInformation( url: string ): Promise<IEVAServiceResponse<EVA.Babylon.ExtractUrlInformation, EVA.Babylon.ExtractUrlInformationResponse>>
    {
        // Create the service instance
        //
        var service = new EVAService<EVA.Babylon.ExtractUrlInformation, EVA.Babylon.ExtractUrlInformationResponse>( "ExtractUrlInformation" );

        // Build the request data
        //
        var requestData: EVA.Babylon.ExtractUrlInformation  = <EVA.Babylon.ExtractUrlInformation> {
            Url: url
        };

        // Perform the call and return resulting promise
        //
        return service.call( requestData );
    }
}
