/**
 * This module provides methods for BI reporting
 *
 * @preferred
 */
import { IEVAServiceResponse } from "../service";
export declare namespace Reporting {
    function GetRankings(axis: string, measure: string, organizationUnitIDs: Array<number> | number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetRankings, EVA.BI.Reporting.GetRankingsResponse>>;
    function getRankings(organizationUnitIDs: Array<number> | number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetRankings, EVA.BI.Reporting.GetRankingsResponse>>;
    function getProductReportingOverview(organizationUnitIDs: Array<number> | number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetProductReportingOverview, EVA.BI.Reporting.GetProductReportingOverviewResponse>>;
    function getTelecomReportingOverview(organizationUnitIDs: Array<number> | number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetTelecomReportingOverview, EVA.BI.Reporting.GetTelecomReportingOverviewResponse>>;
    function getReportingCharts(organizationUnitID: number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetReportingCharts, EVA.BI.Reporting.GetReportingChartsResponse>>;
    function getOrderDetails(orderID: number): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetOrderDetails, EVA.BI.Reporting.GetOrderDetailsResponse>>;
    function getOrders(organizationUnitID: number, category: string, userID?: number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetOrders, EVA.BI.Reporting.GetOrdersResponse>>;
    function getReportingOverview(organizationUnitIDs: Array<number> | number, fromDate?: string, toDate?: string): Promise<IEVAServiceResponse<EVA.BI.Reporting.GetReportingOverview, EVA.BI.Reporting.GetReportingOverviewResponse>>;
}
