/* tslint:disable */
declare module EVA.ClippingMagic {
  
  export class CreateBlobFromClippingMagic extends EVA.Core.RequestMessageGeneric<EVA.ClippingMagic.CreateBlobFromClippingMagicResponse> {
    ImageID : number; // Int32
    __response : EVA.ClippingMagic.CreateBlobFromClippingMagicResponse;
  }
  
  export class CreateBlobFromClippingMagicResponse extends EVA.Core.ResponseMessage {
    BlobID : string; 
  }
  
  export class UploadBlobToClippingMagic extends EVA.Core.RequestMessageGeneric<EVA.ClippingMagic.UploadBlobToClippingMagicResponse> {
    BlobID : string; 
    ImageID : string; 
    __response : EVA.ClippingMagic.UploadBlobToClippingMagicResponse;
  }
  
  export class UploadBlobToClippingMagicResponse extends EVA.Core.ResponseMessage {
    Image : EVA.ClippingMagic.UploadBlobToClippingMagicResult; 
  }
  
  export class UploadBlobToClippingMagicResult {
    ID : number; // Int32
    Secret : string; 
    ResultRevision : number; // Int32
    OriginalFileName : string; 
    IsTest : boolean; 
  }
  
}