/* tslint:disable */
declare module EVA.Intersolve {
  
  export class AddVoucherToShoppingCart extends EVA.Core.RequestMessageGeneric<EVA.Core.ShoppingCartResponse> {
    SessionID : string; 
    VoucherID : number; // Int64
    __response : EVA.Core.ShoppingCartResponse;
  }
  
  export class ListVoucherConfigurations extends EVA.Core.RequestMessageGeneric<EVA.Intersolve.ListVoucherConfigurationsResponse> {
    __response : EVA.Intersolve.ListVoucherConfigurationsResponse;
  }
  
  export class ListVoucherConfigurationsResponse extends EVA.Core.ResponseMessage {
    VoucherProviders : EVA.Intersolve.VoucherProvider[]; 
  }
  
  export class VoucherProvider {
    Options : EVA.Intersolve.VoucherOption[]; 
    Name : string; 
  }
  
  export class VoucherOption {
    Name : string; 
    VoucherID : number; // Int64
    EAN : string; 
    Value : number; // Decimal
    LayoutID : string; 
    Layout : string; 
    UnitCost : number; // Decimal
  }
  
}