/* tslint:disable */
declare module EVA.Kiyoh {
  
  export class GetShopReviewStats extends EVA.Core.RequestMessageGeneric<EVA.Kiyoh.GetShopReviewStatsResponse> {
    __response : EVA.Kiyoh.GetShopReviewStatsResponse;
  }
  
  export class GetShopReviewStatsResponse extends EVA.Core.ResponseMessage {
    Score : number; // Decimal
    Recommendation : number; // Decimal
    Total : number; // Int32
  }
  
  export class ListProductReviews extends EVA.Core.PagedResultRequest<EVA.Kiyoh.ListProductReviewsResponse> {
    __response : EVA.Kiyoh.ListProductReviewsResponse;
  }
  
  export class ListProductReviewsResponse extends EVA.Core.PagedResultResponse<EVA.Kiyoh.ProductReview> {
    Score : number; // Decimal
  }
  
  export class ProductReview {
    Name : string; 
    ProductID : number; // Int32
    Score : number; // Decimal
    Text : string; 
    Date : string; // DateTime
  }
  
  export class ListShopReviews extends EVA.Core.PagedResultRequest<EVA.Kiyoh.ListShopReviewsResponse> {
    __response : EVA.Kiyoh.ListShopReviewsResponse;
  }
  
  export class ListShopReviewsResponse extends EVA.Core.PagedResultResponse<EVA.Kiyoh.ShopReview> {
    Score : number; // Decimal
    Recommendation : number; // Decimal
  }
  
  export class ShopReview {
    Name : string; 
    Score : number; // Decimal
    Date : string; // DateTime
    Recommendation : boolean; 
    Positive : string; 
    Negative : string; 
    Purchase : string; 
    Reaction : string; 
  }
  
}