/* tslint:disable */
declare module EVA.Pin.PayPlaza2 {
  
  export class PrintLastReceiptCallback extends EVA.Core.RequestMessageWithEmptyResponse {
    StationID : number; // Int32
    ReceiptLines : string[]; 
    __response : EVA.Core.EmptyResponseMessage;
  }
  
  export class PrintLastReceipt extends EVA.Core.RequestMessageGeneric<EVA.Pin.PayPlaza2.PrintLastReceiptResponse> {
    StationID : number; // Int32
    DeviceID : number; // Int32
    __response : EVA.Pin.PayPlaza2.PrintLastReceiptResponse;
  }
  
  export class PrintLastReceiptResponse extends EVA.Core.ResponseMessage {
    Success : boolean; 
  }
  
  export class PrintPinReceipt extends EVA.Core.RequestMessageGeneric<EVA.Core.EmptyResponseMessage> {
    ECRID : string; 
    OrderReference : string; 
    ReceiptLines : string[]; 
    __response : EVA.Core.EmptyResponseMessage;
  }
  
}