/* tslint:disable */
declare module EVA.Pin {
  
  export enum TransactionType {
    Purchase = 0,
    Refund = 1,
  }
  
  export class AbortTransaction extends EVA.Core.RequestMessageGeneric<EVA.Pin.AbortTransactionResponse> {
    StationID : number; // Int32, nullable
    HardwareID : string; 
    UseHardwareID : boolean; 
    __response : EVA.Pin.AbortTransactionResponse;
  }
  
  export class AbortTransactionResponse extends EVA.Core.ResponseMessage {
    ResultStatus : EVA.Core.OverallPinResultStatus; 
  }
  
  export class StartTransaction extends EVA.Core.RequestMessageGeneric<EVA.Pin.StartTransactionResponse> {
    PaymentTransactionID : number; // Int32
    HardwareID : string; 
    UseHardwareID : boolean; 
    StationID : number; // Int32, nullable
    __response : EVA.Pin.StartTransactionResponse;
  }
  
  export class StartTransactionResponse extends EVA.Core.ResponseMessage {
    ResultStatus : EVA.Core.OverallPinResultStatus; 
    ResultStatusString : string; 
    OpenAmount : number; // Decimal
    CardCircuit : string; 
    LocalTerminalAddress : string; 
  }
  
}